ifeq ($(VERBOSE),1)
       Q =
       VERBOSE_FLAG = --verbose
else
       Q = @
       VERBOSE_FLAG =
endif

ifneq (,$(findstring xterm,${TERM}))
       RED   := $(shell tput -Txterm setaf 1)
       GREEN := $(shell tput -Txterm setaf 2)
       BLUE  := $(shell tput -Txterm setaf 6)
       RESET := $(shell tput -Txterm sgr0)
else
       RED   := ""
       GREEN := ""
       RESET := ""
       BLUE  := ""
endif

define green
       @echo "${GREEN}$(1)${RESET}"
endef

define error_message
      @echo "error: ${RED}$(1)${RESET}"
endef